<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://purchaseRecordGoldDinarStockBrowse.caption"
        focusComponent="purchaseRecordsTable">
    <data readOnly="true">
        <collection id="purchaseRecordsDc"
                    class="com.company.management.entity.PurchaseRecord">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base"/>
                <property name="status" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="purchaseRecordsDl">
                <query>
                    <![CDATA[select e from PurchaseRecord e
                    where e.type.code = :typeCode1
                    and e.issuanceType.code = :issuanceTypeCode1
                    order by e.date desc]]>
                </query>
            </loader>
        </collection>
        <collection id="purchaseRecordsDc1" class="com.company.management.entity.PurchaseRecord">
            <fetchPlan extends="_base"/>
            <loader id="purchaseRecordsDl1">
                <query>
                    <![CDATA[select e from PurchaseRecord e
                    where e.type.code = :typeCode1
                    and e.issuanceType.code = :issuanceTypeCode1
                    order by e.date desc]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" height="100%" width="100%">
        <tabSheet id="goldTab" width="100%" responsive="true">
            <tab id="purchase" margin="true" caption="msg://Purchase Record" spacing="true" >
                <filter id="filterReserve"
                        dataLoader="purchaseRecordsDl">
                    <properties include=".*"/>
                </filter>
                <groupTable id="purchaseRecordsTable"
                            width="100%"
                            dataContainer="purchaseRecordsDc" aggregatable="true" aggregationStyle="BOTTOM">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport"/>
                    </actions>
                    <columns>
                        <column id="createdDate" caption="msg://Timestamp"/>
                        <column id="description" caption="msg://Description"/>
                        <column id="po_Num" caption="msg://PO No."/>
                        <column id="supplier" caption="msg://Supplier"/>
                        <column id="physical_stock" caption="msg://Acc. Physical Stock (g)">
                            <aggregation type="SUM"/>
                        </column>
                        <column id="acc_tradable" caption="msg://Acc. Tradable BGD (g)">
                            <aggregation type="SUM"/>
                        </column>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanelReserve"
                                  alwaysVisible="true">
                        <button caption="msg://Gold Dinar Stock Reordering Rule" id="goldDinar" css="background-color: #357EF2;color: #ffffff"/>
                        <button id="editBtnPurchase" action="purchaseRecordsTable.edit"/>
                        <button id="purchaseRecordsTableExcelExportBtn" action="purchaseRecordsTable.excelExport"/>
                    </buttonsPanel>
                </groupTable>
                <hbox id="lookupActionsPurchase" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
            <tab id="reserve" margin="true" caption="msg://Reserve Record" spacing="true" >
                <filter id="filter"
                        dataLoader="purchaseRecordsDl1">
                    <properties include=".*"/>
                </filter>
                <groupTable id="reserveRecordsTable"
                            width="100%"
                            dataContainer="purchaseRecordsDc1" aggregatable="true" aggregationStyle="BOTTOM">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport"/>
                    </actions>
                    <columns>
                        <column id="createdDate" caption="msg://Timestamp"/>
                        <column id="description" caption="msg://Description"/>
                        <column id="po_Num" caption="msg://PO No."/>
                        <column id="supplier" caption="msg://Supplier"/>
                        <column id="physical_stock" caption="msg://Acc. Physical Stock (g)">
                            <aggregation type="SUM"/>
                        </column>
                        <column id="acc_tradable" caption="msg://Acc. Tradable BGD (g)">
                            <aggregation type="SUM"/>
                        </column>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="editBtn" action="reserveRecordsTable.edit"/>
                        <button id="reserveRecordsTableExcelExportBtn" action="reserveRecordsTable.excelExport"/>
                    </buttonsPanel>
                </groupTable>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
        </tabSheet>
    </layout>
</window>
